/preview/retail-media/reports/sync/campaigns
curl --request POST \
--url https://api.criteo.com/preview/retail-media/reports/sync/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"accountId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"campaignIds": [
"<string>"
],
"campaignType": "all",
"clickAttributionWindow": "none",
"dimensions": [],
"metrics": [],
"reportType": "summary",
"salesChannel": "all",
"timezone": "UTC",
"viewAttributionWindow": "none"
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/reports/sync/campaigns"
payload = { "data": {
"attributes": {
"accountId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"campaignIds": ["<string>"],
"campaignType": "all",
"clickAttributionWindow": "none",
"dimensions": [],
"metrics": [],
"reportType": "summary",
"salesChannel": "all",
"timezone": "UTC",
"viewAttributionWindow": "none"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
accountId: '<string>',
endDate: '2023-11-07T05:31:56Z',
startDate: '2023-11-07T05:31:56Z',
campaignIds: ['<string>'],
campaignType: 'all',
clickAttributionWindow: 'none',
dimensions: [],
metrics: [],
reportType: 'summary',
salesChannel: 'all',
timezone: 'UTC',
viewAttributionWindow: 'none'
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/retail-media/reports/sync/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/preview/retail-media/reports/sync/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'accountId' => '<string>',
'endDate' => '2023-11-07T05:31:56Z',
'startDate' => '2023-11-07T05:31:56Z',
'campaignIds' => [
'<string>'
],
'campaignType' => 'all',
'clickAttributionWindow' => 'none',
'dimensions' => [
],
'metrics' => [
],
'reportType' => 'summary',
'salesChannel' => 'all',
'timezone' => 'UTC',
'viewAttributionWindow' => 'none'
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/preview/retail-media/reports/sync/campaigns"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"accountId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"dimensions\": [],\n \"metrics\": [],\n \"reportType\": \"summary\",\n \"salesChannel\": \"all\",\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\"\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.criteo.com/preview/retail-media/reports/sync/campaigns")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"accountId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"dimensions\": [],\n \"metrics\": [],\n \"reportType\": \"summary\",\n \"salesChannel\": \"all\",\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\"\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/preview/retail-media/reports/sync/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"accountId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"dimensions\": [],\n \"metrics\": [],\n \"reportType\": \"summary\",\n \"salesChannel\": \"all\",\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\"\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": [
[
{}
]
],
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"meta": {
"columns": [
{
"name": "<string>",
"role": "Dimension",
"type": "Boolean",
"currency": "<string>",
"deprecated": true,
"description": "<string>",
"duration": "<string>",
"timezone": "<string>",
"title": "<string>"
}
],
"dataCompleteThrough": {
"dateTime": "<string>",
"timezone": "<string>"
},
"rows": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/preview/retail-media/reports/sync/campaigns
Returns a synchronous Campaigns Report
This endpoint is subject to specific rate limits.
POST
/
preview
/
retail-media
/
reports
/
sync
/
campaigns
/preview/retail-media/reports/sync/campaigns
curl --request POST \
--url https://api.criteo.com/preview/retail-media/reports/sync/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"accountId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"campaignIds": [
"<string>"
],
"campaignType": "all",
"clickAttributionWindow": "none",
"dimensions": [],
"metrics": [],
"reportType": "summary",
"salesChannel": "all",
"timezone": "UTC",
"viewAttributionWindow": "none"
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/reports/sync/campaigns"
payload = { "data": {
"attributes": {
"accountId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"campaignIds": ["<string>"],
"campaignType": "all",
"clickAttributionWindow": "none",
"dimensions": [],
"metrics": [],
"reportType": "summary",
"salesChannel": "all",
"timezone": "UTC",
"viewAttributionWindow": "none"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
accountId: '<string>',
endDate: '2023-11-07T05:31:56Z',
startDate: '2023-11-07T05:31:56Z',
campaignIds: ['<string>'],
campaignType: 'all',
clickAttributionWindow: 'none',
dimensions: [],
metrics: [],
reportType: 'summary',
salesChannel: 'all',
timezone: 'UTC',
viewAttributionWindow: 'none'
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/retail-media/reports/sync/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/preview/retail-media/reports/sync/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'accountId' => '<string>',
'endDate' => '2023-11-07T05:31:56Z',
'startDate' => '2023-11-07T05:31:56Z',
'campaignIds' => [
'<string>'
],
'campaignType' => 'all',
'clickAttributionWindow' => 'none',
'dimensions' => [
],
'metrics' => [
],
'reportType' => 'summary',
'salesChannel' => 'all',
'timezone' => 'UTC',
'viewAttributionWindow' => 'none'
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/preview/retail-media/reports/sync/campaigns"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"accountId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"dimensions\": [],\n \"metrics\": [],\n \"reportType\": \"summary\",\n \"salesChannel\": \"all\",\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\"\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.criteo.com/preview/retail-media/reports/sync/campaigns")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"accountId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"dimensions\": [],\n \"metrics\": [],\n \"reportType\": \"summary\",\n \"salesChannel\": \"all\",\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\"\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/preview/retail-media/reports/sync/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"accountId\": \"<string>\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"dimensions\": [],\n \"metrics\": [],\n \"reportType\": \"summary\",\n \"salesChannel\": \"all\",\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\"\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": [
[
{}
]
],
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"meta": {
"columns": [
{
"name": "<string>",
"role": "Dimension",
"type": "Boolean",
"currency": "<string>",
"deprecated": true,
"description": "<string>",
"duration": "<string>",
"timezone": "<string>",
"title": "<string>"
}
],
"dataCompleteThrough": {
"dateTime": "<string>",
"timezone": "<string>"
},
"rows": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}Authorizations
Scopes
Body
application/json
Response
200 - application/json
Success
Report response format
Was this page helpful?